React Native Material Elements

###

A sophisticated UI library crafted to enhance your React Native development workflow. Designed for simplicity and elegance, material elements provides a rich collection of components and utilities to effortlessly create polished mobile applications.

## Installation

Install the required dependencies using `yarn` or `npm`:

```bash
yarn add react-native-material-elements lodash use-context-selector
yarn add @types/lodash -D

OR

npm install react-native-material-elements lodash use-context-selector
yarn install @types/lodash -save-dev
```

## Table of Contents

- [Grid](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/grid.md)
- [Dropdown](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/drop-down.md)
- [ActivityIndicator](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/activity-indicator.md)
- [Transition](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/transition.md)
- [ImageList](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/image-list.md)
- [CheckBox](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/check-box.md)
- [QuantityStepper](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/quantity-stepper.md)
- [Accordion](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/accordion.md)
- [Avatar](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/avatar.md)
- [Switch](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/switch.md)
- [Badge](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/badge.md)
- [BaseStyles](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/base-styles.md)
- [Box](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/box.md)
- [Button](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/button.md)
- [Card](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/card.md)
- [Chip](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/chip.md)
- [Dialog](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/dialog.md)
- [Divider](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/divider.md)
- [List](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/list.md)
- [Pagination](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/pagination.md)
- [Text](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/text.md)
- [TextInput](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/text-input.md)
- [ThemeProvider](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/theme-provider.md)
- [Portal](https://github.com/material-elements/react-native-material-elements/blob/master/docs/components/portal.md)
- [Thank You](#thank-you)

# Thank You!

We sincerely appreciate you taking the time to read through our documentation. Your attention to detail and commitment to understanding the intricacies of our library is truly valued.

Your feedback and contributions are what make our project better. If you have any questions, suggestions, or run into any issues, please don't hesitate to reach out. Together, we can build something amazing.

## Contributions and Feedback

We welcome contributions and feedback from the community. If you have any suggestions, questions, or would like to contribute to the project, please feel free to reach out.

### How to Contribute

1. Fork the repository
2. Create a new branch (`git checkout -b feature-branch`)
3. Make your changes
4. Commit your changes (`git commit -am 'Add new feature'`)
5. Push to the branch (`git push origin feature-branch`)
6. Create a new Pull Request

Happy coding!
